Skip to main content
GET
/
crawl
/
active
Get all active crawls for the authenticated team
curl --request GET \  --url https://api.firecrawl.dev/v2/crawl/active \  --header 'Authorization: Bearer <token>'
{  "success": true,  "crawls": [  {  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",  "teamId": "<string>",  "url": "<string>",  "options": {  "scrapeOptions": {  "formats": [  "markdown"  ],  "onlyMainContent": true,  "includeTags": [  "<string>"  ],  "excludeTags": [  "<string>"  ],  "maxAge": 172800000,  "minAge": 123,  "headers": {},  "waitFor": 0,  "mobile": false,  "skipTlsVerification": true,  "timeout": 30000,  "parsers": [  "pdf"  ],  "actions": [  {  "type": "wait",  "milliseconds": 2  }  ],  "location": {  "country": "US",  "languages": [  "en-US"  ]  },  "removeBase64Images": true,  "blockAds": true,  "proxy": "auto",  "storeInCache": true  }  }  }  ] }
Are you an AI agent that needs a Firecrawl API key? See firecrawl.dev/agent-onboarding/SKILL.md for automated onboarding instructions.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Successful response

success
boolean
required
Example:

true

crawls
object[]